Skip to main content
GET
/
components
/
{component_id}
/
configs
/
{version}
Get Config Version
curl --request GET \
  --url https://api.example.com/components/{component_id}/configs/{version} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/components/{component_id}/configs/{version}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/components/{component_id}/configs/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "component_id": "<string>",
  "version": 123,
  "stage": "<string>",
  "config": {},
  "created_at": 123,
  "label": "<string>",
  "notes": "<string>",
  "updated_at": 123
}
{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}
{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}
{
"detail": "Not found",
"error_code": "NOT_FOUND"
}
{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}
{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

component_id
string
required

Component ID

version
integer
required

Version number

Response

Successful Response

component_id
string
required
version
integer
required
stage
string
required
config
Config · object
required
created_at
integer
required
label
string | null
notes
string | null
updated_at
integer | null